Bug 698215 - dracut has a script error in mdraid_start.sh
Summary: dracut has a script error in mdraid_start.sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 12:58 UTC by Harald Hoyer
Modified: 2011-12-06 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
While autoassembling a MD raid device, the dracut initramfs had a script error, when starting the raid device. This would prevent the system to boot, if the root device is on a raid device and autoassembly of raid devices was chosen. The script was fixed and autoassembly for raid devices should now work for root devices from inside the dracut initramfs.
Clone Of:
Environment:
Last Closed: 2011-12-06 16:45:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1521 normal SHIPPED_LIVE dracut bug fix and enhancement update 2011-12-06 00:50:19 UTC

Description Harald Hoyer 2011-04-20 12:58:22 UTC
--- a/modules.d/90mdraid/mdraid_start.sh
+++ b/modules.d/90mdraid/mdraid_start.sh
@@ -10,7 +10,7 @@ mdadm -IRs 2>&1 | vinfo
 # which have had a container added
 for md in /dev/md[0-9]* /dev/md/*; do 
        [ -b "$md" ] || continue
-       local udevinfo="$(udevadm info --query=env --name=$md)"
+       udevinfo="$(udevadm info --query=env --name=$md)"


This might prevent starting of autoassembled or degraded raid arrays.

Comment 1 RHEL Product and Program Management 2011-05-13 23:09:08 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Harald Hoyer 2011-08-10 13:25:25 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
While autoassembling a MD raid device, the dracut initramfs had a script error, when starting the raid device. This would prevent the system to boot, if the root device is on a raid device and autoassembly of raid devices was chosen. The script was fixed and autoassembly for raid devices should now work for root devices from inside the dracut initramfs.

Comment 5 Alexander Todorov 2011-08-25 08:26:58 UTC
# rpm -qf mdraid_start.sh 
dracut-004-231.el6.noarch

# grep -n "udevadm info" mdraid_start.sh 
13:	udevinfo="$(udevadm info --query=env --name=$md)"

Comment 6 errata-xmlrpc 2011-12-06 16:45:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1521.html


Note You need to log in before you can comment on or make changes to this bug.